/************************************************************************/


/******************** MAIN-BOX GLOBAL SETTINGS **************************/


/************************************************************************/


/*--------------------------------------------------------------------------------------------------------------------------------
 Modal css for alerts that are common to all pages so they are placed here with the menu system which is common to all pages
--------------------------------------------------------------------------------------------------------------------------------*/

.modals {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1500;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.6);
    /* Black w/ opacity */
    overflow-x: auto;
    overflow-y: auto;
}

#modal-alert-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    width: 300px;
    border-radius: 20px;
    background-color: White;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#modal-alert-title {
    border-radius: 20px 20px 0 0;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: brown;
    color: white;
    font-size: 30px;
    text-align: center;
}

#modal-alert-message {
    font-size: 20px;
    padding: 20px;
}

#modal-alert-nav {
    text-align: center;
    margin: 20px 0 20px 0;
}


/* small phones is the default */

#main-box {
    position: absolute;
    left: 50%;
    top: 80px;
    transform: translate(-50%);
    border-radius: 1rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    z-index: 1;
    padding: 10px;
    overflow-y: auto;
    background-color: #ecebeb;
    height: 460px;
    width: 95%;
}

#phone-landscape {
    display: none;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    font-size: 15px;
    background-color: white;
    width: 100%;
    height: 100%;
    text-align: center;
}


/* large phone - portrait */

@media screen and (min-device-width: 374px) and (max-width: 480px) and (orientation: portrait) {
    #main-box {
        top: 100px;
        height: 80%;
    }
    body {
        background-image: url(/lang/msa/images/msa.jpg);
    }
}


/* tablet Portrait */

@media screen and (min-device-width: 600px) and (orientation:portrait) {
    #main-box {
        top: 120px;
        height: 80%;
        width: 700px;
    }
    body {
        background-image: url(/lang/msa/images/msa.jpg);
    }
}


/* tablet Landscape */

@media screen and (min-device-width: 760px) and (orientation:landscape) {
    #main-box {
        top: 120px;
        height: 75%;
        width: 750px;
    }
    body {
        background-image: url(/lang/msa/images/msa.jpg);
    }
}


/* desktop and laptop */

@media screen and (min-device-width: 1200px) {
    #main-box {
        top: 120px;
        height: 75%;
        width: 1100px;
    }
    body {
        background-image: url(/lang/msa/images/msa.jpg);
    }
}